CREATE TABLE IF NOT EXISTS PUBLIC.ADDRESS (
	ID INTEGER NOT NULL AUTO_INCREMENT,
	ZIP_CODE CHARACTER VARYING NOT NULL,
	CITY CHARACTER VARYING,
	UF CHARACTER VARYING,
	DISTRICT CHARACTER VARYING NOT NULL,
	ADDRESS CHARACTER VARYING NOT NULL,
	COMPLEMENT CHARACTER VARYING,
	CONSTRAINT ADDRESS_PK PRIMARY KEY (ID)
);

CREATE TABLE IF NOT EXISTS PUBLIC.CLIENT (
	ID INTEGER NOT NULL AUTO_INCREMENT,
	NAME CHARACTER VARYING(100),
	CPF CHARACTER VARYING(20),
	FK_ADDRESS BIGINT,
	CONSTRAINT CLIENT_PK PRIMARY KEY (ID),
	CONSTRAINT CLIENT_FK_ADDRESS FOREIGN KEY (FK_ADDRESS) REFERENCES PUBLIC.ADDRESS(ID) ON DELETE RESTRICT ON UPDATE RESTRICT
);

CREATE TABLE IF NOT EXISTS PUBLIC.CELLPHONE (
    ID INTEGER NOT NULL AUTO_INCREMENT,
	"TYPE" CHARACTER VARYING NOT NULL,
	"NUMBER" CHARACTER VARYING NOT NULL,
	FK_CLIENT INTEGER NOT NULL,
	CONSTRAINT CELLPHONE_PK PRIMARY KEY (ID),
	CONSTRAINT CELLPHONE_FK FOREIGN KEY (FK_CLIENT) REFERENCES PUBLIC.CLIENT(ID) ON DELETE RESTRICT ON UPDATE RESTRICT
);

CREATE TABLE IF NOT EXISTS PUBLIC.EMAIL (
    ID INTEGER NOT NULL AUTO_INCREMENT,
	EMAIL CHARACTER VARYING NOT NULL,
	FK_CLIENT INTEGER NOT NULL,
	CONSTRAINT EMAIL_PK PRIMARY KEY (ID),
	CONSTRAINT EMAIL_FK FOREIGN KEY (FK_CLIENT) REFERENCES PUBLIC.CLIENT(ID) ON DELETE RESTRICT ON UPDATE RESTRICT
);